DARKTABLE(1)

NOMBRE
darktable - una aplicación para el flujo de trabajo fotográfico digital

SINOPSIS
    darktable [opciones] [IMG_1234.{RAW,...}|carpeta_de_imagen/]

Opciones:

    --cachedir <user cache directory>
    --conf <key>=<value>
    --configdir <user config directory>
    -d {all,cache,camctl,camsupport,control,dev,fswatch, input,lighttable,
        lua,masks,memory,nan,opencl, perf,pwstorage,print,sql}
    --datadir <data directory>
    --disable-opencl
    -h, --help
    --library <library file>
    --localedir <locale directory>
    --luacmd <lua command>
    --moduledir <module directory>
    --noiseprofiles <noiseprofiles json file>
    -t <num openmp threads>
    --tmpdir <tmp directory>
    --version

DESCRIPCIÓN
darktable es una aplicación para el flujo de trabajo fotográfico digital para Linux, Mac OS X y para otros Unices.

La aplicación está diseñada para facilitar la edición y revelado consistente de largas sesiones fotográficas, y provee una mesa de luz fácil de utilizar, así como un juego de herramientas sofisticadas de post-procesado.

La mayoría del procesamiento es realizado en un punto flotante de 32-bit por cada modo de canal en dispositivos independientes CIE L*a*b* del espacio de color. darktable también tiene un manejo completo del color, lo cual le da un control completo sobre la apariencia de las fotos.

La aplicación se basa en una moderna arquitectura conectada, por lo que le facilita a desarrolladores externos extender las capacidades existentes de la aplicación. Todas las características de la mesa de luz y del cuarto oscuro son implementadas como módulos, por lo que puede crear sus propios módulos reutilizando código existente. La mayoría de las cosas específicas del flujo de trabajo también pueden ser programadas en Lua.

OPCIONES

IMG_1234.RAW o carpeta_de_imagen/
    Quizá quiera proveer opcionalmente el nombre de una imagen o el nombre de la carpeta que contiene los archivos de imagen. Si un nombre de archivo es dado, darktable se iniciará en el modo de vista de cuarto oscuro con dicho archivo abierto. Si una carpeta es dada, darktable se iniciará en la vista de mesa de luz con el contenido de dicha carpeta como la colección actual. Si ya existe una instancia de darktable corriendo (utilizando la misma librería) la imagen o carpeta se abrirán en este, utilizando D-Bus para la comunicación entre los dos procesos.

--cachedir <directorio de cache>
    darktable mantiene una cache de las miniaturas de las imágenes para una rápida previsualización y binarios OpenCL pre-compilados para un rápido inicio. Por defecto, la cache está ubicada en "$HOME/.cache/darktable/". Pueden existir múltiples caches de miniaturas en paralelo - una para cada archivo de la librería.

--conf <key>=<valor>
    darktable soporta un rico juego de parámetros de configuración que son definidos por el usuario en "darktablerc" - el archivo de configuración de darktable en el directorio de configuración. Quizás quiera sobrescribir temporalmente algunos de los ajustes individuales de la línea de comando utilizando esta opción - sin embargo, estos ajustes no serán almacenados en "darktablerc".

--configdir <directorio de configuración>
    Esta opción define el directorio donde darktable guarda las configuraciones especificas del usuario. El lugar por defecto es "$HOME/.config/darktable/".

-d <opción de depuración>
    Esta opción le permite depurar la salida del terminal. Hay varios sub-sistemas de darktable y depurar cada uno de ellos puede ser activado de forma separada. Puede utilizar esta opción múltiples veces si quiere depurar la salida de más de un sub-sistema

    Algunas de esas opciones de depuración son:

    control
        Activa la cola de trabajo del depurado. Si redirige la salida de darktable a control.log y llama a ./tools/create_control_svg.sh control.log, tendrá un bonito control.svg con la visualización del hilo de trabajo.

    cache
        Esto le proveerá bastante información depurada sobre la cache de las miniaturas para el modo de mesa de luz. Si se compila en el modo de depuración, esto también le indicará en que parte del código, cierto buffer ha sido bloqueado.

    perf
        Utilice esto para mejorar el desempeño de los módulos en su darktable. Esto hará un rdtsc-measure en las rutinas de todos los plugins y los imprimirá en stdout.

    all Enable all debugging output. In general this is not very useful.

--datadir <directorio de datos>
    Esta opción define el directorio donde darktable encuentra la información sobre su tiempo de ejecución. El lugar por defecto depende de su instalación. Los lugares típicos son "/opt/darktable/share/darktable/" y "/usr/share/darktable/".

--disable-opencl
    Previene que darktable inicie el sub-sistema OpenCL. Utilice esta opción en caso de que darktable falle al inicio debido a una implementación OpenCL defectuosa.

-h, --help
    Show the available command line options and exit.

--library <archivo de librería>
    darktable mantiene información sobre la imagen en una base de datos sqlite para un rápido acceso. La ubicación por defecto de esta base de datos es "$HOME/.config/darktable/library.db". Puede darle una ubicación distinta si desea, e.g. si quiere realizar algunos experimentos sin comprometer su library.db original. Si el archivo de la base de datos no existe, darktable lo creará por usted. Usted puede asignar ":memory:" como librería, en cuyo caso la base de datos se mantendrá en el sistema de memoria – todos los cambios serán descartados cuando darktable se cierre.

--localedir <directorio local>
    El lugar donde darktable encuentra las cadenas específicas para su idioma. El lugar por defecto dependerá de su instalación. Los lugares típicos son "/opt/darktable/share/locale/" y "/usr/share/locale/".

--luacmd <comando lua>
    Una cadena que contiene los comandos lua que se ejecutarán luego de que lua sea iniciada. Estos comandos serán ejecutados luego de su archivo "luarc" .

    Si lua no está compilado, esta opción será aceptada pero no hará nada.

--moduledir <directorio de módulos>
    darktable tiene una estructura modular y organiza sus módulos como librerías compartidas para ser cargadas en la rutina de ejecución. Con esta opción, le indica a darktable donde buscar dichas librerías compartidas; el lugar por defecto depende de su instalación; los lugares típicos son "/opt/darktable/lib/darktable/" y "/usr/lib/darktable/".

--noiseprofiles <archivo json de perfil de ruido>
    El módulo de reducción de ruido perfilado de darktable utiliza los datos del perfil específico de su cámara, los cuales son cargados desde un archivo json externo. Con esta opción, el archivo que será cargado podrá ser modificado para permitir la prueba de perfiles alternativos. El perfil por defecto es "noiseprofiles.json" y se encuentra típicamente en "/opt/darktable/share/darktable/" o "/usr/share/darktable/".

-t <num openmp threads>
    darktable uses OpenMP to parallelize many computation steps and make use of all the available CPU cores. With this option you can specify the number of threads to use. Valid values are between 1 and 100.

--tmpdir <directorio tmp>
    El lugar donde darktable almacena los archivos temporales. Si esta opción no es provista, darktable utilizará las preferencias por defecto de su sistema.

--version
    Show the darktable version along with some important build options and exit.

ATAJOS DE TECLADO POR DEFECTO
Todos los modos

l   Cambiar a la vista de mesa de luz

d   Cambiar a la vista de cuarto oscuro

t   Cambiar a la vista de captura

m   Cambiar a la vista de mapa

s   Cambiar a la vista de diapositivas

p   Cambiar a la vista de imprimir

.   Cambiar entre la vista de mesa de luz y cuarto oscuro

Ctrl-q
    Salir

F11 Cambiar entre el modo de pantalla completa y vista normal en la ventana de la aplicación

Esc Dejar el modo de pantalla completa

Ctrl-h
    Mostrar/esconder cabecera

Tab Mostrar/esconder paneles laterales

Modo de mesa de luz

g, Shift-g
    Navegar al inicio, a la última fila

PageUp, PageDown
    Navegar hacia arriba, o abajo

'   Desplazarse al centro

Down, Left, Right, Up
    Desplazarse hacia abajo, izquierda, derecha, arriba

z   Vista previa de la imagen

Ctrl-z
    Vista previa de la imagen con detección de foco

F1, F2, F3, F4, F5
    Etiquetas de color: cambiar entre rojo, amarillo, verde, azul y purpura

1, 2, 3, 4, 5
    Puntaje

0   Eliminar todas las estrellas

r   Marcar como rechazada

l   Re-alinear imágenes a la cuadricula

Alt-1
    Acercamiento a la primera imagen visible

Alt-2, 3
    Ajustar acercamiento

Alt-4
    Alejar completamente

Ctrl-a
    Seleccionar todas las imágenes

Ctrl-Shift-a
    Deseleccionar todas las imágenes

Ctrl-i
    Invertir selección

Ctrl-d
    Duplicar imagen

Ctrl-g, Ctrl-Shift-g
    Agrupar/desagrupar imágenes seleccionadas

Delete
    Eliminar imágenes de la colección

Ctrl-c, Ctrl-Shift-c
    Copiar todo, historial seleccionado

Ctrl-v, Ctrl-Shift-v
    Pegar todo, historial seleccionado

Space
    Activar/desactivar la selección de una imagen

Return
    Seleccionar una imagen

Ctrl-e
    Exportar imágenes seleccionadas actualmente

Ctrl-k
    Volver a la colección anterior

Ctrl-t
    Abrir un diálogo para etiquetar rápidamente una imagen

Ctrl-Shift-i
    Importar carpeta

Ctrl-j
    Ir al carrete de una imagen

Modo de cuarto oscuro

Alt-1, 2, 3
    Acercamiento 1:1, llenar, y ajustar, respectivamente

Ctrl-f
    Mostrar/esconder tira de imágenes

Space, Backspace
    Ir a la siguiente o anterior imagen

Ctrl-e
    Exportar imagen actual

Ctrl-c, Ctrl-Shift-c
    Copiar todo, historial seleccionado

Ctrl-v, Ctrl-Shift-v
    Pegar todo, historial seleccionado

o   Activar/desactivar la sobre- y sub-exposición

Ctrl-g
    Activar/desactivar revisión de gama

Ctrl-s
    Activar/desactivar pruebas en pantalla

Enter
    En el módulo de Cortar y Rotar, aplicar el corte

[, ]
    En el módulo de Voltear, rotar 90 grados hacia el reloj, o en contra

<, >
    Cuando se dibujan mascaras, decrementa, incrementa la opacidad de la brocha, respectivamente

{, }
    Cuando se dibujan mascaras, decrementa, incrementa la dureza de la brocha, respectivamente

[, ]
    Cuando se dibujan mascaras, decrementa, incrementa el tamaño de la brocha, respectivamente

Modo de captura

Ctrl-f
    Mostrar/esconder tira de imágenes

v   Cambiar a live view

Modo mapa

Ctrl-f
    Mostrar/esconder tira de imágenes

Ctrl-z
    Deshacer

Ctrl-r
    Rehacer

Tira de imágenes (cuando el puntero está sobre la tira de imágenes)

F1, F2, F3, F4, F5
    Etiquetas de color: cambiar entre rojo, amarillo, verde, azul y purpura

1, 2, 3, 4, 5
    Puntaje

0   Eliminar todas las estrellas

r   Marcar como rechazada

Ctrl-d
    Duplicar imagen

Ctrl-a
    Seleccionar todas las imágenes

Ctrl-Shift-a
    Deseleccionar todas las imágenes

Ctrl-i
    Invertir selección

Ctrl-c, Ctrl-Shift-c
    Copiar todo, historial seleccionado

Ctrl-v, Ctrl-Shift-v
    Pegar todo, historial seleccionado

Modo de diapositivas

Space
    Iniciar/detener la reproducción

VEA TAMBIÉN
darktable-cli(1)

MAS INFORMACIÓN
Please visit darktable's website for news, blog and bug tracker: <https://www.darktable.org/>

<https://www.darktable.org/usermanual/> The complete darktable usermanual.

darktablerc.html Una vista previa de todos los ajustes de configuración por defecto. El lugar por defecto dependerá de su instalación. Los lugares típicos son "/opt/darktable/share/doc/darktable/" y "/usr/share/doc/darktable/".

REPORTAR ERRORES
Please use the bug tracker on <https://www.darktable.org/redmine/projects/darktable/issues/> to report bugs, feature requests and so on.

AUTORES
El desarrollador principal de darktable es Johannes Hanika. La lista completa (esperamos) de colaboradores del proyecto es:

* developers: Roman Lebedev, Pascal Obry, Tobias Ellinghaus, Stefan Schöfegger, Peter Budai, Ulrich Pegelow, johannes hanika, parafin, Alexandre Prokoudine, Aldric Renaudin, Edouard Gomez. * translators: Pascal Obry, Ger Siemerink, Tobias Ellinghaus, Maurizio Paglia, Timur I. Davletshin, Alexandre Prokoudine, mepi0011, Báthory Péter, Jeronimo Pellegrini, Matjaž Jeran, shlomi braitbart, Aurélien PIERRE, Heiko Bauke, Josep V. Moragues, Marko Vertainen, Michel Leblond, Milan Knížek, Novy Sawai, Ragnar Wisløff, Tomasz Golinski. * contributors (at least 4 commits): Aurélien PIERRE, rawfiner, edgardoh, Dan Torop, Ger Siemerink, Matthieu Moy, Maurizio Paglia, Andreas Schneider, Heiko Bauke, Rikard Öxler, Timur I. Davletshin, Benoit Brummer, Philippe Weyland, grand-piano, luzpaz, Mario Lueder, Robert Bridge, mepi0011. * RawSpeed contributors (at least 1 commit): Stefan Löffler, Stefan Hoffmeister, parafin, Robert Bieber, Tobias Ellinghaus, Matthieu Volat, Shita Yuuma, Stefan Schöfegger, luz.paz. And all those of you that made previous releases possible

Este manual de referencias fue escrito por Alexandre Prokoudine <alexandre.prokoudine@gmail.com> y Richard Levitte <richard@levittr.org>. Adiciones fueron hechas por Tobias Ellinghaus <me@houz.org>.

HISTORIA
El proyecto fue iniciado por Johannes Hanika a principios de 2009 para llenar el hueco (o mejor dicho, el hoyo negro) que existía en el flujo de trabajo de la fotografía digital en Linux.

DERECHOS Y LICENCIA
Copyright (C) 2009-2017 por Authors.

darktable es software libre, usted puede redistribuirlo y/o modificarlo bajo los términos de la GPL v3 o (bajo su criterio) versiones anteriores.